<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingLeft="20dp"
    android:paddingRight="20dp"
    android:orientation="vertical"
    android:background="@color/background_white">

    <TextView
        android:visibility="gone"
        android:id="@+id/bind_phone_skip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingTop="17dp"
        android:paddingLeft="17dp"
        android:paddingBottom="17dp"
        android:layout_alignParentRight="true"
        android:gravity="center"
        android:textColor="@color/text_subtitle"
        android:textSize="14sp"
        android:text="@string/bind_phone_skip" />

    <TextView
        android:layout_below="@+id/bind_phone_skip"
        android:id="@+id/bind_phone_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="48dp"
        android:includeFontPadding="false"
        android:textStyle="bold"
        android:textSize="22sp"
        android:textColor="@color/text_black"
        android:text="@string/bind_phone_title1" />

    <TextView
        android:id="@+id/bind_phone_desc"
        android:layout_below="@+id/bind_phone_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:lineSpacingExtra="8dp"
        android:textSize="14sp"
        android:textColor="@color/text_subtitle"
        android:text="@string/bind_phone_desc" />

    <RelativeLayout
        android:layout_below="@+id/bind_phone_desc"
        android:id="@+id/bind_phone_container"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_marginTop="40dp">

        <TextView
            android:id="@+id/bind_phone_prefix"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:textColor="@color/text_title"
            android:textSize="16sp"
            android:text="@string/login_phone_prefix" />

        <com.gh.gamecenter.common.view.ClearEditTextNormal
            android:id="@+id/bind_phone_et"
            android:layout_toRightOf="@+id/bind_phone_prefix"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="16dp"
            android:background="@null"
            android:hint="@string/input_phone_hint"
            android:inputType="number"
            android:maxLength="13"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:paddingRight="16dp"
            android:textColor="@color/text_title"
            android:textColorHint="@color/text_body"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="16sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_alignParentBottom="true"
            android:background="@color/background" />
    </RelativeLayout>

    <TextView
        android:visibility="gone"
        android:id="@+id/bind_phone_error_tv"
        android:layout_below="@+id/bind_phone_container"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:textColor="@color/text_F10000"
        android:textSize="11sp"
        android:text="请输入11位手机号" />

    <RelativeLayout
        android:visibility="gone"
        android:id="@+id/bind_phone_password_container"
        android:layout_width="wrap_content"
        android:layout_height="48dp"
        android:layout_below="@+id/bind_phone_error_tv"
        android:layout_marginTop="12dp"
        tools:visibility="visible">

        <EditText
            android:id="@+id/bind_phone_pass_et"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@null"
            android:hint="@string/input_captcha_hint"
            android:inputType="number"
            android:maxLength="8"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:textColor="@color/text_title"
            android:textColorHint="@color/text_body"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/bind_phone_captcha"
            android:layout_width="wrap_content"
            android:layout_height="25dp"
            android:layout_alignParentRight="true"
            android:layout_marginRight="16dp"
            android:layout_centerVertical="true"
            android:gravity="center"
            android:text="@string/login_get_captcha"
            android:textColor="@color/theme_font"
            android:textSize="14sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_alignParentBottom="true"
            android:background="@color/background" />
    </RelativeLayout>

    <TextView
        android:visibility="gone"
        android:id="@+id/bind_phone_captcha_error_tv"
        android:layout_below="@+id/bind_phone_password_container"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:textColor="@color/text_F10000"
        android:textSize="11sp"
        android:text="验证码错误" />

    <RelativeLayout
        android:visibility="gone"
        android:id="@+id/bind_phone_invite_container"
        android:layout_width="wrap_content"
        android:layout_height="48dp"
        android:layout_below="@+id/bind_phone_captcha_error_tv"
        android:layout_marginTop="12dp"
        tools:visibility="visible">

        <EditText
            android:id="@+id/bind_phone_invite_et"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@null"
            android:hint="@string/input_invite_code_hint"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:textColor="@color/text_title"
            android:textColorHint="@color/text_body"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="16sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_alignParentBottom="true"
            android:background="@color/background" />
    </RelativeLayout>

    <TextView
        android:layout_below="@+id/bind_phone_invite_container"
        android:id="@+id/bind_phone_btn"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="40dp"
        android:layout_marginRight="20dp"
        android:alpha="0.6"
        style="@style/PrimaryGradientButton"
        android:enabled="false"
        android:gravity="center"
        android:text="@string/bind_phone_next"
        android:textSize="16sp" />
</RelativeLayout>